Package com.mockobjects.naming.directory

# Class MockAttributes

java.lang.Object
com.mockobjects.MockObject
com.mockobjects.naming.directory.MockAttributes

All Implemented Interfaces:
  `Verifiable`, `Serializable`, `Cloneable`, `Attributes`

public class MockAttributes extends MockObject implements Attributes

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MockAttributes()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`clone()`
`Attribute`
`get(String aName)`
`NamingEnumeration`
`getAll()`
`NamingEnumeration`
`getIDs()`
`boolean`
`isCaseIgnored()`
`Attribute`
`put(String name, Object object)`
`Attribute`
`put(Attribute attribute)`
`Attribute`
`remove(String attributeName)`
`void`
`setExpectedName(String aName)`
`void`
`setupAddGet(Attribute attribute)`
`int`
`size()`

### Methods inherited from class com.mockobjects.MockObject

`notImplemented, notYetImplemented, verify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MockAttributes

public MockAttributes()

## Method Details

### isCaseIgnored

public boolean isCaseIgnored()

Specified by:
  `isCaseIgnored` in interface `Attributes`

### size

public int size()

Specified by:
  `size` in interface `Attributes`

### setupAddGet

public void setupAddGet(Attribute attribute)

### setExpectedName

public void setExpectedName(String aName)

### get

public Attribute get(String aName)

Specified by:
  `get` in interface `Attributes`

### getAll

public NamingEnumeration getAll()

Specified by:
  `getAll` in interface `Attributes`

### getIDs

public NamingEnumeration getIDs()

Specified by:
  `getIDs` in interface `Attributes`

### put

public Attribute put(String name, Object object)

Specified by:
  `put` in interface `Attributes`

### put

public Attribute put(Attribute attribute)

Specified by:
  `put` in interface `Attributes`

### remove

public Attribute remove(String attributeName)

Specified by:
  `remove` in interface `Attributes`

### clone

public Object clone()

Specified by:
  `clone` in interface `Attributes`